Skip navigation

New WordPress 2.1 Theme Compatibility List

The , the online manual for WordPress Users, has a new page featuring a list of WordPress Theme compatible with WordPress 2.1 called the WordPress 2.1 Theme Compatibility List.

If you have found your WordPress Theme to be compatible with WordPress 2.1, make sure it’s on the list. If you have found your WordPress Theme to require massive editing and changes in order to be compatible with WordPress 2.1, please add it to the non-compatible WordPress Theme list.

WordPress Theme Designers: If you have updated your WordPress Theme so it is WordPress 2.1 ready, please add your Theme to the list. If you know you will not update your WordPress Theme for the latest version of WordPress, nor future versions, please add your WordPress Theme to the list of non-compatible WordPress Themes. If you have updated your WordPress Theme and find it on the incompatible section of the list, move it up to the compatible section.

This is a new list and it will take a team effort from everyone to help build this list. Hopefully, it will grow over time as people add information on the compatibility of WordPress Themes.

For the most part, most WordPress Themes are compatible with WordPress 2.1, except for the new category and bookmark/blogroll template tags.

For those willing to edit their own WordPress Themes, see WordPress 2.1: Template Tag and Function Changes.

To check the compatibility of WordPress Plugins, see WordPress 2.1 Plugin Compatibility List.

Related Articles


Site Search Tags: , , , , , ,
Copyright Lorelle VanFossen, member of the 9Rules Network

Member of the 9Rules Blogging Network

5 Comments

  1. Posted January 27, 2007 at 5:29 pm | Permalink

    Thanks for this, and your other posts on WP2.1 compatibility. I had already found most of the changes you mentioned, but there were a few important ones that I had missed. Thanks again.

  2. Posted January 27, 2007 at 6:00 pm | Permalink

    can you clean the theme hawking cruft out of that page? it’s a compatibility list, not a ‘hey my theme is cool’ list.

  3. Posted January 29, 2007 at 6:27 pm | Permalink

    So if my theme (Cutline) is on the Incompatible list, do you recommend not upgrading yet?

  4. Posted January 29, 2007 at 6:53 pm | Permalink

    If your WordPress Theme is on the non-compatible list, then you have two choices. Nag the WordPress Theme author directly ;-) (with kind words and support) or fix it yourself on your blog. I’ll be coming out with some specific how to fixes soon.

  5. Posted February 2, 2007 at 3:06 pm | Permalink

    The template that I have been using is working well. I love it. It fits my personality, kinda girly thing. Thanks to wordpress. :)


10 Trackbacks/Pingbacks

  1. [...] [via Lorelle On WordPress] [...]

  2. [...] Mrs. Who’s favorite template isn’t the only one that was broken. WP has opened a WP 2.1 Theme Compatibility List. Wish I had seen that before I ran the conversion – which changes the databases and cannot be [...]

  3. [...] Fuente Lorelle. [...]

  4. [...] to my relief, K2 0.95 RC1 is compatibile with WordPress 2.1 and the upgrade was a breeze so I don’t have to change the header images [...]

  5. [...] finally come around and bitten disconnected and the links list.  I added version 1.1.1r2 to the list of incompatible themes, which made me very sad.  i haven’t updated the theme in forever, so even though it’s [...]

  6. [...] Mrs. Who’s favorite template isn’t the only one that was broken. WP has opened a WP 2.1 Theme Compatibility List. Wish I had seen that before I ran the conversion – which changes the databases and cannot be [...]

  7. [...] New WordPress 2.1 Theme Compatibility List [...]

  8. [...] New WordPress 2.1 Theme Compatibility List WordPress 2.1: Template Tag and Function Changes Fear Not WordPress 2.1 and WordPress Plugins [...]

  9. [...] ¿Cuál es entonces el peligro?. Lo mejor de WP, su sistema de extensión de funcionalidades (los plugins), es realmente lo que puede convertir una actualización de la aplicación en una verdadera pesadilla. Sin embargo, se pueden minimizar los problemas tomando algunas precauciones. La versión 2.1 conlleva algunos cambios en la aplicación que afecta a muchos plugins, así que lo primero que hay que hacer es revisar la lista de compatibilidad. [...]

  10. […] New WordPress 2.1 Theme Compatibility List […]

Post a Comment

Follow

Get every new post delivered to your Inbox.

Join 20,107 other followers

%d bloggers like this: